/**
*****************************************************************************
** File			: Display_Drv.c
** Project		: Testa_Funkta
**
**  Created on	: 7 . 2016 .
**  Version		: 
**  Author		: 
** ---------------------------------------------------
**  Info		:  .
**  			        
**  			       , 
**  			         .
**
**
** ---------------------------------------------------
**  Functions	: Display_Initial				 
**  				- Read_Status_Display			  
**  				- Write_Command(command)
**  				- Write_Data(data)
**  				- Clear_Display					??   
**
*****************************************************************************
**/


//---------------------------------------------------------
/* Includes */
#include "stm32f4xx.h"
#include "Display_Drv.h"

#include "Interface_Drv.h"	//   

//---------------------------------------------------------
/* Private define  */

//---------------------------------------------------------
/* Private global variables */
/* (  ,     ) */

//---------------------------------------------------------
/* Private function prototypes */
/* ( ,     ) */
int8_t Read_Status_Display(void);
void Set_Parameters(uint8_t, uint8_t, uint8_t, uint8_t);
void Power_On(void);

//---------------------------------------------------------
/* Private functions */
//=================================================================================================
/* ------------------------------------
 *    , .
 * -   
 * -  ,  
 * -    (?? )
 * -  
 * -       (?? )
 */
int8_t Display_Initial(void)
{
	uint8_t error_display;
	error_display = Read_Status_Display();	//    ( )
	if (error_display) return 1;			//    .,  c  1,

	Write_Command(DISP_MODE);				//  
	Write_Data(0xA0);						// - 

	//Clear_Display();						// ?? .   

	Write_Command(POWER_ON);				//  
	Write_Data(0xA0);

	return 0;
}

/* ..........................
 *   
 * -   ReadStatus
 * -   
 */
int8_t Read_Status_Display(void)
{
	uint8_t status;
	Write_Command(DISP_READ_STATUS);		//   
	//status = Read_Data();					//   
	status = 0x35;	//  ,  
	if (status == 0x35) return 0;			//    ,  .
	else return 1;							// ,   1
}




/* ------------------------------------
 *     
 */
void Write_Command(uint8_t command)	//  
{
	uint8_t error_status;
	do {
		error_status = TX_Command(command);		//       

		if (error_status)						//   ,
		{
			Suspend_Inreface();					//   
		}
	} while (error_status);
}//......................

void Write_Data(uint8_t data)		//  8- 
{
	uint8_t error_status;
	do {
		error_status = TX_Command_Params(data);	//       

		if (error_status)						//   ,
		{
			Suspend_Inreface();					//   
		}
	} while (error_status);
}//......................
